Life In The Stack Trace...

TODO: <Insert clever marketing phrase here>

Ruby 2.0.0, Apache, and Passenger

I was very excited when I noticed that Ruby 2.0.0 had been released. I jumped through all of the hoops to install Ruby 2.0.0 and ran into a small snag while testing everything on my staging server. While trying to install Passenger on my staging server the following error occurred:

cannot load such file -- rubygems/builder

After digging around a little bit I figured out something that would work:

# all of my systems are linux...
cd /tmp

git clone https://github.com/FooBarWidget/passenger.git

cd passenger

gem build passenger.gemspec

sudo gem install passenger-4.0.0.rc4.gem

# now, run the install as normal
sudo passenger-install-apache2-module

passenger-4.0.0.rc4.gem is the file that was produced at the time of this writing. You will need to copy and paste the correct gem file name that is generated.

Good luck!!